低危 缓冲区溢出拒绝服务漏洞

CVE编号

CVE-2018-16335

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-09-02
漏洞描述
libtiFF 4.0.9中tif_dirread.c中的ChopUpSingleUncompressedStrip中的newoffsets处理允许远程攻击者通过精心设计的TIFF文件导致拒绝服务(基于堆的缓冲区溢出和应用程序崩溃)或可能具有未指定的其他影响,如tiff2pdf所示。这是一个与CVE-2018-15209不同的漏洞。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libtiff libtiff 4.0.9 -
运行在以下环境
系统 debian_8 tiff * Up to
(excluding)
4.0.3-12.3+deb8u10
运行在以下环境
系统 debian_9 tiff * Up to
(excluding)
4.0.8-2+deb9u4
运行在以下环境
系统 opensuse_Leap_15.0 tiff * Up to
(excluding)
4.0.9-lp150.4.6.1
运行在以下环境
系统 opensuse_Leap_42.3 tiff * Up to
(excluding)
4.0.9-37.1
运行在以下环境
系统 suse_11_SP4 tiff * Up to
(excluding)
3.8.2-141.169.19.1
运行在以下环境
系统 suse_12 libtiff5 * Up to
(excluding)
4.0.9-44.24
运行在以下环境
系统 suse_12_SP3 tiff * Up to
(excluding)
4.0.9-44.24.1
运行在以下环境
系统 ubuntu_14.04 tiff * Up to
(excluding)
4.0.3-7ubuntu0.9
运行在以下环境
系统 ubuntu_14.04.6_lts tiff * Up to
(excluding)
4.0.3-7ubuntu0.9
运行在以下环境
系统 ubuntu_16.04 tiff * Up to
(excluding)
4.0.6-1ubuntu0.4
运行在以下环境
系统 ubuntu_16.04.7_lts tiff * Up to
(excluding)
4.0.6-1ubuntu0.4
运行在以下环境
系统 ubuntu_18.04 tiff * Up to
(excluding)
4.0.9-4ubuntu1
运行在以下环境
系统 ubuntu_18.04.5_lts tiff * Up to
(excluding)
4.0.9-4ubuntu1
运行在以下环境
系统 ubuntu_18.10 tiff * Up to
(excluding)
4.0.9-4ubuntu1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况